<?php

class ElaborarDoc extends CActiveRecord
{
	public function tableName()
	{
		return 'elaborar_doc';
	}

	public function rules()
	{
		return array(
			array('elaborar_estado', 'required'),
			array('doc_codigo', 'numerical', 'integerOnly'=>true),
			array('elaborar_estado', 'length', 'max'=>100),
			array('fun_rut', 'length', 'max'=>12),
			array('elaborar_fecha_rp, elaborar_fecha_ap, elaborar_fecha', 'safe'),
			array('elaborar_codigo, elaborar_estado, elaborar_fecha_rp, elaborar_fecha_ap, elaborar_fecha, doc_codigo, fun_rut', 'safe', 'on'=>'search'),
		);
	}

	public function relations()
	{
		return array(
			'funcionario' => array(self::BELONGS_TO, 'Funcionario', 'fun_rut'),
		);
	}

	public function attributeLabels()
	{
		return array(
			'elaborar_codigo' => 'Elaborar Codigo',
			'elaborar_estado' => 'Elaborar Estado',
			'elaborar_fecha_rp' => 'Elaborar Fecha Rp',
			'elaborar_fecha_ap' => 'Elaborar Fecha Ap',
			'elaborar_fecha' => 'Elaborar Fecha',
			'doc_codigo' => 'Doc Codigo',
			'fun_rut' => 'Responsable',
		);
	}

	public function search()
	{
		$criteria=new CDbCriteria;

		$criteria->compare('elaborar_codigo',$this->elaborar_codigo);
		$criteria->compare('elaborar_estado',$this->elaborar_estado,true);
		$criteria->compare('elaborar_fecha_rp',$this->elaborar_fecha_rp,true);
		$criteria->compare('elaborar_fecha_ap',$this->elaborar_fecha_ap,true);
		$criteria->compare('elaborar_fecha',$this->elaborar_fecha,true);
		$criteria->compare('doc_codigo',$this->doc_codigo);
		$criteria->compare('fun_rut',$this->fun_rut,true);

		return new CActiveDataProvider($this, array(
			'criteria'=>$criteria,
		));
	}

	public function getDbConnection()
	{
		return Yii::app()->db_gd;
	}
	
	public static function model($className=__CLASS__)
	{
		return parent::model($className);
	}
}
